:
export CC
case `egrep 'struct.*__sFILE|_STDIO_USES_IOSTREAM' /usr/include/stdio.h` in
"")
# traditional? unix system
sh `dirname $0`/sttest.sh | awk '
#/_c/ { print "#define _IOB_RCNT ", $0; print "#define _IOB_WCNT ", $0; next }
#/_p/ { print "#define _IOB_PTR ", $0; next }
#/_file/ { print "#define _IOB_FILE ", $0; next }
#/_fd/ { print "#define _IOB_FILE ", $0; next }
#/_fla/ { print "#define _IOB_FLAG ", $0; next }
#/siz/ { print "#define _IOB_BUFSIZ ", $0; next }
#/_b/ { print "#define _IOB_BASE ", $0; next }
/_b/ { if (s["BASE"] == "") s["BASE"] = $0; next }
/_c/ { if (s["RCNT"] == "") { s["RCNT"] = $0; s["WCNT"] = $0 }; next }
/_p/ { if (s["PTR"] == "") s["PTR"] = $0; next }
/_file/ { if (s["FILE"] == "") s["FILE"] = $0; next }
/_fd/ { if (s["FILE"] == "") s["FILE"] = $0; next }
/_fla/ { if (s["FLAG"] == "") s["FLAG"] = $0; next }
/siz/ { if (s["BUFSIZ"] == "") s["BUFSIZ"] = $0; next }
#/fil/ { print "#define _IOB_FILBUF ", $0; next }
#/fl/ { print "#define _IOB_FLSBUF ", $0; next }
#{ print }
END {
	for (m in s) {
		print "#define _IOB_" m, s[m]
	}
}
'
	;;
*_STDIO_USES_IOSTREAM*)
# Yuk! probably Linux, we are in trouble...
cat <<!
# define NEED_NETIOB
# define _IOB_FLAG _flags
# define iswrite(fp) ((fp) && (((fp)->_flags & (_IO_NO_WRITES|_IO_CURRENTLY_PUTTING|_IO_IS_APPENDING)) == 0))
!
	;;
*)
# probably a 4.4BSD derrived OS.
cat <<!
#define _IOB_RCNT _r
#define _IOB_WCNT _w
#define _IOB_PTR _p
#define _IOB_BASE _bf._base
#define _IOB_FLAG _flags
#define _IOB_BUFSIZ _bf._size
#define _IOB_FILE _file
!
	;;
esac
